local modDir = g_currentModDirectory
local modName = g_currentModName

SwathingAddon = {}

function SwathingAddon.loadMission00Finished(mission)
    local xmlFile = loadXMLFile("mod_fruitTypes", modDir .. "xml/fruitTypes.xml")
    g_fruitTypeManager:loadFruitTypes(xmlFile, mission, false)
    delete(xmlFile)
end

function SwathingAddon.onStartMission(mission)
    local wheatFruitType = g_fruitTypeManager:getFruitTypeByName("WHEAT")

    for _, fruitType in ipairs(g_fruitTypeManager:getFruitTypes()) do
        if fruitType.terrainDataPlaneId == nil then
            fruitType.terrainDataPlaneId = wheatFruitType.terrainDataPlaneId
        end
    end

    local xmlFile = loadXMLFile("mod_motionPathEffects", modDir .. "xml/motionPathEffects.xml")

    g_motionPathEffectManager:loadMotionPathEffects(xmlFile, "motionPathEffects.motionPathEffect", modDir, modName)
    delete(xmlFile)
end

Mission00.onStartMission = Utils.appendedFunction(Mission00.onStartMission, SwathingAddon.onStartMission)
Mission00.loadMission00Finished = Utils.appendedFunction(Mission00.loadMission00Finished, SwathingAddon.loadMission00Finished)
